"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

require("core-js/modules/es.array.iterator.js");

require("core-js/modules/es.string.replace.js");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Html = Html;
exports.MountPoint = MountPoint;

function _extends2() {
  const data = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

  _extends2 = function () {
    return data;
  };

  return data;
}

function _objectWithoutProperties2() {
  const data = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutProperties"));

  _objectWithoutProperties2 = function () {
    return data;
  };

  return data;
}

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function () {
    return data;
  };

  return data;
}

function Html(_ref) {
  var _assets$css, _assets$js;

  let {
    assets = {},
    withDevTools = false,
    children
  } = _ref,
      rest = (0, _objectWithoutProperties2().default)(_ref, ["assets", "withDevTools", "children"]);
  return /*#__PURE__*/_react().default.createElement("html", (0, _extends2().default)({
    lang: "en"
  }, rest), /*#__PURE__*/_react().default.createElement("head", null, /*#__PURE__*/_react().default.createElement("meta", {
    charSet: "utf-8"
  }), /*#__PURE__*/_react().default.createElement("title", null, assets.title || 'bit scope'), /*#__PURE__*/_react().default.createElement("style", {
    id: "before-hydrate-styles"
  }, ".--ssr-hidden ", '{', "display: none;", '}'), /*#__PURE__*/_react().default.createElement("script", null, '// Allow to use react dev-tools inside the examples', withDevTools ? 'try { window.__REACT_DEVTOOLS_GLOBAL_HOOK__ = window.parent.__REACT_DEVTOOLS_GLOBAL_HOOK__; } catch {}' : null), (_assets$css = assets.css) === null || _assets$css === void 0 ? void 0 : _assets$css.map((x, idx) => /*#__PURE__*/_react().default.createElement("link", {
    key: idx,
    href: x,
    rel: "stylesheet",
    type: "text/css"
  }))), /*#__PURE__*/_react().default.createElement("body", null, /*#__PURE__*/_react().default.createElement(MountPoint, null, children), assets.json && /*#__PURE__*/_react().default.createElement("div", {
    className: "state",
    style: {
      display: 'none'
    }
  }, Object.entries(assets.json).map(([key, content]) => /*#__PURE__*/_react().default.createElement("script", {
    key: key,
    "data-aspect": key,
    type: "application/json",
    dangerouslySetInnerHTML: {
      __html: content
    }
  }))), (_assets$js = assets.js) === null || _assets$js === void 0 ? void 0 : _assets$js.map((x, idx) => /*#__PURE__*/_react().default.createElement("script", {
    key: idx,
    src: x
  }))));
}

function MountPoint({
  children
}) {
  return /*#__PURE__*/_react().default.createElement("div", {
    id: "root"
  }, children);
}

const placeholderRegex = /<div id="root"><\/div>/;

Html.fillContent = (htmlTemplate, content) => {
  const filled = htmlTemplate.replace(placeholderRegex, content);
  return filled;
};

//# sourceMappingURL=html.js.map