/// <reference types="react" />
import { ExpressMain } from '@teambit/express';
import { GraphqlMain } from '@teambit/graphql';
import { Logger } from '@teambit/logger';
import WebpackDevServer from 'webpack-dev-server';
import { StartPlugin } from './start-plugin';
import { UIRoot } from './ui-root';
import { UiMain } from './ui.main.runtime';
export declare type UIServerProps = {
    graphql: GraphqlMain;
    express: ExpressMain;
    ui: UiMain;
    uiRoot: UIRoot;
    uiRootExtension: string;
    logger: Logger;
    publicDir: string;
    startPlugins: StartPlugin[];
};
export declare type StartOptions = {
    portRange?: number[] | number;
};
export declare class UIServer {
    private graphql;
    private expressExtension;
    private ui;
    private uiRoot;
    private uiRootExtension;
    private logger;
    private publicDir;
    private plugins;
    constructor(graphql: GraphqlMain, expressExtension: ExpressMain, ui: UiMain, uiRoot: UIRoot, uiRootExtension: string, logger: Logger, publicDir: string, plugins: StartPlugin[]);
    getName(): string;
    private _port;
    get port(): number;
    getDevConfig(): Promise<any>;
    start({ portRange }?: StartOptions): Promise<void>;
    getPluginsComponents(): import("react").ComponentType<{}>[];
    private configureProxy;
    dev({ portRange }?: StartOptions): Promise<WebpackDevServer>;
    private selectPort;
    private getProxyFromPlugins;
    private getProxy;
    private getDevServerConfig;
    static create(props: UIServerProps): UIServer;
}
